# GeneratedPersistentModifierType | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface GeneratedPersistentModifierType

interface GeneratedPersistentModifierType {
getPregenArgs (): any[];
}

#### Implemented by

- AttackTypeBoosterModifierType
- BaseStatBoosterModifierType
- BerryModifierType
- EvolutionItemModifierType
- FormChangeItemModifierType
- PokemonBaseStatFlatModifierType
- PokemonBaseStatTotalModifierType
- SpeciesStatBoosterModifierType
- TempStatStageBoosterModifierType

- Defined in src/modifier/modifier-type.ts:299

##### Index

### Methods

getPregenArgs

## Methods

### getPregenArgs

- getPregenArgs(): any[]

  #### Returns any[]

  - Defined in src/modifier/modifier-type.ts:300